> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get keylight routefollower results > Operation is used to retrieve details of a route and it's components with given parameters. Required parameters are 1. source_ids and object_name or 2. Available from product version 3.4. ## OpenAPI ````json GET /keylight-routefollower/ { "openapi": "3.0.4", "info": { "title": "KeyLight REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Electric Premises", "description": "Electric Premises related operations." }, { "name": "Electric Fuse", "description": "Fuse related operations." }, { "name": "Electric Splice", "description": "Electric Splice related operations." }, { "name": "Electric Manhole", "description": "Electric Manhole related operations." }, { "name": "Electric Point Object", "description": "Other electric point objects related operations." }, { "name": "Electric Pole", "description": "Electric Pole related operations." }, { "name": "Streetlight", "description": "Streetlight related operations." }, { "name": "Traffic Signal", "description": "Traffic signal related operations." }, { "name": "Electric Cable", "description": "Electric Cable related operations." }, { "name": "Electric Cable Connection", "description": "Operations related to connecting Electric Cables and Electric endpoints(Streetlights, Splices, Premises)." }, { "name": "Electric Conduit", "description": "Electric Conduit related operations." }, { "name": "Electric Conduit Link", "description": "Operations related to putting Electric Cables and Ducts into Conduits." }, { "name": "Electric Conduit Connection", "description": "Operations related to connecting Conduits and endpoints(Streetlights, Splices, Premises)." }, { "name": "Electric Duct", "description": "Electric Duct related operations." }, { "name": "Electric Duct Link", "description": "Operations related to putting Electric Cables into Ducts." }, { "name": "Electric Routefollower", "description": "Electric Routefollower related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/keylight-routefollower/": { "get": { "tags": [ "Electric Routefollower" ], "summary": "Get keylight routefollower results", "description": "Operation is used to retrieve details of a route and it's components with given parameters.\nRequired parameters are 1. source_ids and object_name or 2.\n\nAvailable from product version 3.4.\n", "operationId": "getElRoutefollower", "parameters": [ { "name": "source_id", "in": "query", "description": "Primary keys (id) of the threads or connectors to follow. Can be multiple, comma separated", "required": true, "schema": { "type": "integer" } }, { "name": "ctid", "in": "query", "description": "ContentType id for the cable or terminal used, use /api/v2/object-types/ endpoint to get these", "schema": { "type": "integer" } }, { "name": "logical_dir", "in": "query", "description": "Logical direction to follow. 1 for ascending, 2 for descending. For both directions default is -1.", "schema": { "enum": [ 1, 2, -1 ], "type": "integer", "default": -1 } }, { "name": "distance", "in": "query", "description": "Numeric length to stop following route", "schema": { "type": "number", "format": "float" } }, { "name": "pass_node", "in": "query", "description": "Pass through the next node", "schema": { "type": "boolean", "default": false } }, { "name": "only_closed_switches", "in": "query", "description": "Pass only when El Premises switch is closed", "schema": { "type": "boolean", "default": true } } ], "responses": { "200": { "description": "List of routes", "content": { "application/json": { "schema": { "type": "array", "items": { "type": "object", "properties": { "components": { "type": "array", "items": { "type": "object", "properties": { "connectionObject": { "type": "string", "description": "Link to the API endpoint of the connection used to get to the route object or 'Start object' if start point or null if trace end.", "format": "url" }, "ctid": { "type": "integer", "description": "Content type ID of the route object." }, "identification": { "type": "string", "description": "Name/identification of the route object." }, "location": { "type": "string", "description": "Geographical location.", "format": "ewkt" }, "objectId": { "type": "integer", "description": "Primary key of the route object." }, "order": { "type": "integer", "description": "The order of which the route object belongs to." }, "path": { "type": "integer", "description": "The path number the route object belongs to." }, "routeObject": { "type": "string", "description": "Link to the API endpoint of the route object or null if trace end.", "format": "url" }, "route_length": { "type": "number", "description": "The running total length of the route up until the route object.", "format": "float" } } } }, "endpoint": { "type": "object", "properties": { "connectionObject": { "type": "string", "description": "Link to the API endpoint of the connection used for the endpointobject or null if trace end.", "format": "url" }, "ctid": { "type": "integer", "description": "Content type ID of the endpoint object." }, "identification": { "type": "string", "description": "Name/identification of the current route." }, "location": { "type": "string", "description": "Geographical location.", "format": "ewkt" }, "objectId": { "type": "integer", "description": "Primary key of endpoint object." }, "order": { "type": "integer", "description": "The order of which the endpoint object belongs to." }, "path": { "type": "integer", "description": "The path number the endpoint object belongs to." }, "routeObject": { "type": "string", "description": "Link to the API endpoint of the endpoint object or null if trace end.", "format": "url" }, "route_length": { "type": "number", "description": "The running total length of the route up until the endpoint object.", "format": "float" } } } } } }, "example": { "Results": [ { "components": [ { "connectionObject": "Start point", "ctid": 7465, "identification": "AAA", "location": "SRID=3067;POINT Z (456522.01195571 6700731.858811 0)", "object_id": 428401, "order": 0, "path": 1, "routeObject": "http://keycom.example.com/api/v2/el_premises/428401/", "route_length": 0 }, { "connectionObject": "http://keycom.example.com/api/v2/el_cable_connections/98001/", "ctid": 7458, "identification": "route_test", "location": "SRID=3067;LINESTRING Z (456522.01195571 6700731.858811 0, 456623.61190084 6700733.9754765 0)", "object_id": 376410, "order": 1, "path": 1, "routeObject": "http://keycom.example.com/api/v2/el_cable/376410/", "route_length": 101.6 }, { "connectionObject": "http://keycom.example.com/api/v2/el_cable_connections/98051/", "ctid": 7465, "identification": "AAA2", "location": "SRID=3067;POINT Z (456623.61190084 6700733.9754765 0)", "object_id": 428411, "order": 2, "path": 1, "routeObject": "http://keycom.example.com/api/v2/el_premises/428411/", "route_length": 101.6 }, { "connectionObject": "http://keycom.example.com/api/v2/el_cable_connections/98011/", "ctid": 7458, "identification": "route_test", "location": "SRID=3067;LINESTRING Z (456623.61190084 6700733.9754765 0, 456690.28686484 6700687.9380014 0)", "object_id": 376420, "order": 3, "path": 1, "routeObject": "http://keycom.example.com/api/v2/el_cable/376420/", "route_length": 182.6 }, { "connectionObject": null, "ctid": "", "identification": "Trace end 150.0", "location": "SRID=3067;LINESTRING Z (456623.61190084 6700733.9754765 0, 456690.28686484 6700687.9380014 0)", "object_id": 1, "order": 4, "path": 1, "routeObject": null, "route_length": 182.6 } ], "endpoint": { "connectionObject": null, "ctid": "", "identification": "Reitti 1: Premise AAA -> Trace end Trace end 150.0", "location": "SRID=3067;LINESTRING Z (456623.61190084 6700733.9754765 0, 456690.28686484 6700687.9380014 0)", "object_id": 1, "order": 4, "path": 1, "routeObject": null, "route_length": 182.6 } }, { "components": [ { "connectionObject": "Start point", "ctid": 7465, "identification": "AAA", "location": "SRID=3067;POINT Z (456522.01195571 6700731.858811 0)", "object_id": 428401, "order": 0, "path": 2, "routeObject": "http://keycom.example.com/api/v2/el_premises/428401/", "route_length": 0 }, { "connectionObject": "http://keycom.example.com/api/v2/el_cable_connections/98001/", "ctid": 7458, "identification": "route_test", "location": "SRID=3067;LINESTRING Z (456522.01195571 6700731.858811 0, 456623.61190084 6700733.9754765 0)", "object_id": 376410, "order": 1, "path": 2, "routeObject": "http://keycom.example.com/api/v2/el_cable/376410/", "route_length": 101.6 }, { "connectionObject": "http://keycom.example.com/api/v2/el_cable_connections/98051/", "ctid": 7465, "identification": "AAA2", "location": "SRID=3067;POINT Z (456623.61190084 6700733.9754765 0)", "object_id": 428411, "order": 2, "path": 2, "routeObject": "http://keycom.example.com/api/v2/el_premises/428411/", "route_length": 101.6 }, { "connectionObject": "http://keycom.example.com/api/v2/el_cable_connections/98031/", "ctid": 7458, "identification": "route_test", "location": "SRID=3067;LINESTRING Z (456623.61190084 6700733.9754765 0, 456684.99520103 6700801.1796069 0)", "object_id": 376430, "order": 3, "path": 2, "routeObject": "http://keycom.example.com/api/v2/el_cable/376430/", "route_length": 192.6 }, { "connectionObject": null, "ctid": "", "identification": "Trace end 150.0", "location": "SRID=3067;LINESTRING Z (456623.61190084 6700733.9754765 0, 456684.99520103 6700801.1796069 0)", "object_id": 1, "order": 4, "path": 2, "routeObject": null, "route_length": 192.6 } ], "endpoint": { "connectionObject": null, "ctid": "", "identification": "Reitti 2: Premise AAA -> Trace end Trace end 150.0", "location": "SRID=3067;LINESTRING Z (456623.61190084 6700733.9754765 0, 456684.99520103 6700801.1796069 0)", "object_id": 1, "order": 4, "path": 2, "routeObject": null, "route_length": 192.6 } } ] } } } }, "401": { "$ref": "#/components/responses/Http401" }, "404": { "$ref": "#/components/responses/Http404" } }, "security": [ { "Token": [] } ] } } }, "components": { "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } }, "Http404": { "description": "Object was not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Not found." } } } } }, "securitySchemes": { "Token": { "type": "apiKey", "description": "Token issued for API consumer.", "name": "Authorization", "in": "header" } }, "schemas": { "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" } } } } ````